curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/model/Cliente.java
package com.algaworks.erp.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Entity
@Table(name = "cliente")
public class Cliente implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "nome", nullable = false, length = 255)
	private String nome;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "endereco", nullable = false, length = 255)
	private String endereco;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "email", nullable = false, length = 255)
	private String email;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getEndereco() {
		return endereco;
	}

	public void setEndereco(String endereco) {
		this.endereco = endereco;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	
	
}

curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/model/Empresa.java
package com.algaworks.erp.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name = "empresa")
public class Empresa implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	
	@Column(name = "nome_fantasia", nullable = false, length = 80)
	private String nomeFantasia;
	
	@Column(name = "razao_social", nullable = false, length = 120)
	private String razaoSocial;
	
	@Column(name = "cnpj", nullable = false, length = 18)
	private String cnpj;
	
	@Temporal(TemporalType.DATE)
	@Column(name = "data_fundacao", nullable = true)
	private Date dataFundacao;
	
	@ManyToOne
	@JoinColumn(name = "ramo_atividade_id", nullable = false)
	private RamoAtividade ramoAtividade;
	
	@Enumerated(EnumType.STRING)
	@Column(nullable = false, length = 30)
	private TipoEmpresa tipo;
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getNomeFantasia() {
		return nomeFantasia;
	}

	public void setNomeFantasia(String nomeFantasia) {
		this.nomeFantasia = nomeFantasia;
	}

	public String getRazaoSocial() {
		return razaoSocial;
	}

	public void setRazaoSocial(String razaoSocial) {
		this.razaoSocial = razaoSocial;
	}

	public String getCnpj() {
		return cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public Date getDataFundacao() {
		return dataFundacao;
	}

	public void setDataFundacao(Date dataFundacao) {
		this.dataFundacao = dataFundacao;
	}

	public RamoAtividade getRamoAtividade() {
		return ramoAtividade;
	}

	public void setRamoAtividade(RamoAtividade ramoAtividade) {
		this.ramoAtividade = ramoAtividade;
	}
	
	public TipoEmpresa getTipo() {
		return tipo;
	}

	public void setTipo(TipoEmpresa tipo) {
		this.tipo = tipo;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Empresa other = (Empresa) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Empresa [id=" + id + "]";
	}
	
	
}

curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/model/Jogo.java
package com.algaworks.erp.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Entity
@Table(name = "jogo")
public class Jogo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "titulo", nullable = false, length = 255)
	private String titulo;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "plataforma", nullable = false, length = 255)
	private String plataforma;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "genero", nullable = false, length = 255)
	private String genero;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "desenvolvedor", nullable = false, length = 255)
	private String desenvolvedor;
	
	@NotNull
	@Size(min = 1, max = 255)
	@Column(name = "classificacao_indicativa", nullable = false, length = 255)
	private String classificacaoIndicativa;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public String getPlataforma() {
		return plataforma;
	}

	public void setPlataforma(String plataforma) {
		this.plataforma = plataforma;
	}

	public String getGenero() {
		return genero;
	}

	public void setGenero(String genero) {
		this.genero = genero;
	}

	public String getDesenvolvedor() {
		return desenvolvedor;
	}

	public void setDesenvolvedor(String desenvolvedor) {
		this.desenvolvedor = desenvolvedor;
	}

	public String getClassificacaoIndicativa() {
		return classificacaoIndicativa;
	}

	public void setClassificacaoIndicativa(String classificacaoIndicativa) {
		this.classificacaoIndicativa = classificacaoIndicativa;
	}
	
	
}

curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/model/RamoAtividade.java
package com.algaworks.erp.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "ramo_atividade")
public class RamoAtividade implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	
	@Column(nullable = false, length = 80)
	private String descricao;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RamoAtividade other = (RamoAtividade) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "RamoAtividade [id=" + id + "]";
	}
	
	
}

curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/model/TipoEmpresa.java
package com.algaworks.erp.model;

public enum TipoEmpresa {
	
	MEI("Microempreendedor Individual"),
	EIRELI("Empresa Individual de Responsabilide Limitada"),
	LTDA("Sociedade Limitada"),
	SA("Sociedade Anônima");
	
	private String descricao;
	
	TipoEmpresa(String descricao) {
		this.descricao = descricao;
	}
	
	public String getDescricao() {
		return descricao;
	}
	
}

curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/controller/GestaoClientesBean.java
package com.algaworks.erp.controller;

import java.io.Serializable;
import java.util.List;

import javax.faces.bean.ViewScoped;
import javax.inject.Inject;
import javax.inject.Named;

import com.algaworks.erp.model.Cliente;
import com.algaworks.erp.model.Jogo;
import com.algaworks.erp.repository.Clientes;
import com.algaworks.erp.service.CadastroClienteService;
import com.algaworks.erp.util.FacesMessages;

@Named("gestaoClientesBean")
@ViewScoped
public class GestaoClientesBean implements Serializable {

private static final long serialVersionUID = 1L;
	
	@Inject
	private Clientes clientes;
	
	@Inject
    private FacesMessages messages;
	
	@Inject
	private CadastroClienteService cadastroClienteService;
	
	private List<Cliente> listaClientes;
	
	@Inject
	private Cliente cliente;
	
	public Cliente getCliente() {
		return cliente;
	}
	
	public void setCliente(Cliente cliente) {
		this.cliente = cliente;
	}
	
	public void prepararNovoCliente() {
		cliente = new Cliente();
	}
	
	public void prepararEdicaoCliente() {
		cliente = new Cliente();
	}
	
	public void salvar() {
		System.out.println(cliente.getNome());
//		cadastroClienteService.salvar(cliente);
//		messages.info("Cliente salvo com sucesso!");
//		RequestContext.getCurrentInstance().update(Arrays.asList(
//			"frm:jogosDataTable", 
//			"frm:messages"
//		));
//		todosJogos();
	}

	public void excluir() {
		cadastroClienteService.excluir(cliente);
		cliente = null;
		todosClientes();
		messages.info("Cliente deletado com sucesso!");
	}
	
	public void todosClientes() {
		listaClientes = clientes.todas();
	}
	
	public List<Cliente> getListaClientes() {
		List<Cliente> listaClientes = clientes.todas();
		return listaClientes;
	}
	
	
	
	public boolean isClienteSeleciona() {
		return cliente != null && cliente.getId() != null;
	}
}

curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/controller/GestaoEmpresasBean.java
package com.algaworks.erp.controller;

import java.io.Serializable;
import java.util.List;

import javax.faces.bean.ViewScoped;
import javax.faces.convert.Converter;
import javax.inject.Inject;
import javax.inject.Named;

import com.algaworks.erp.model.Empresa;
import com.algaworks.erp.model.RamoAtividade;
import com.algaworks.erp.model.TipoEmpresa;
import com.algaworks.erp.repository.Empresas;
import com.algaworks.erp.repository.RamoAtividades;
import com.algaworks.erp.service.CadastroEmpresaService;
import com.algaworks.erp.util.FacesMessages;


@Named("gestaoEmpresasBean")
@ViewScoped
public class GestaoEmpresasBean implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Inject
	private Empresas empresas;
	
	@Inject
    private FacesMessages messages;
	
	@Inject
	private RamoAtividades ramoAtividades;
	
	@Inject
	private CadastroEmpresaService cadastroEmpresaService;
	
	private List<Empresa> listaEmpresas;
	private String termoPesquisa;
	
	private Converter ramoAtividadeConverter;
	
	private Empresa empresa;
	
	public void prepararNovaEmpresa() {
		empresa = new Empresa();
	}
	
	public void salvar() {
		cadastroEmpresaService.salvar(empresa);
		
		if (jaHouvePesquisa()) {
			pesquisar();
		}
		
		messages.info("Empresa cadastrada com sucesso!");
	}
	
	public void pesquisar() {
		listaEmpresas = empresas.pesquisar(termoPesquisa);
        
        if (listaEmpresas.isEmpty()) {
            messages.info("Sua consulta não retornou registros.");
        }
	}
	
	public void todasEmpresas() {
		listaEmpresas = empresas.todas();
	}
	
	private boolean jaHouvePesquisa() {
		return termoPesquisa != null && !"".equals(termoPesquisa);
	}
	
	public List<RamoAtividade> completarRamoAtividade(String termo){
		List<RamoAtividade> listaRamoAtividades = ramoAtividades.pesquisar(termo);
		
		ramoAtividadeConverter = new RamoAtividadeConverter(listaRamoAtividades);
		return listaRamoAtividades;
	}
	
	public List<Empresa> getListaEmpresas() {
		List<Empresa> listaEmpresas = empresas.todas();
		return listaEmpresas;
	}
	
	public String getTermoPesquisa() {
		return termoPesquisa;
	}
	
	public void setTermoPesquisa(String termoPesquisa) {
		this.termoPesquisa = termoPesquisa;
	}
	
	public TipoEmpresa[] getTiposEmpresa() {
		return TipoEmpresa.values();
	}
	
	public Converter getRamoAtividadeConverter() {
		return ramoAtividadeConverter;
	}
	
	public Empresa getEmpresa() {
		return empresa;
	}
	
}

curso-jsf-e-primefaces-essencial/src/main/java/com/algaworks/erp/controller/GestaoJogosBean.java
package com.algaworks.erp.controller;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;

import javax.faces.bean.RequestScoped;
import javax.faces.bean.ViewScoped;
import javax.faces.event.ActionEvent;
import javax.inject.Inject;
import javax.inject.Named;

import org.primefaces.context.RequestContext;

import com.algaworks.erp.model.Jogo;
import com.algaworks.erp.repository.Jogos;
import com.algaworks.erp.service.CadastroJogoService;
import com.algaworks.erp.util.FacesMessages;

@Named("gestaoJogosBean")
@ViewScoped
public class GestaoJogosBean implements Serializable {

private static final long serialVersionUID = 1L;
	
	@Inject
	private Jogos jogos;
	
	@Inject
    private FacesMessages messages;
	
	@Inject
	private CadastroJogoService cadastroJogoService;
	
	private List<Jogo> listaJogos;
	
	@Inject
	private Jogo jogo;
	
	public Jogo getJogo() {
		return jogo;
	}
	
	public void setJogo(Jogo jogo) {
		this.jogo = jogo;
	}
	
	public void prepararNovoJogo() {
		jogo = new Jogo();
	}
	
	public void prepararEdicaoJogo() {
		jogo = new Jogo();
	}
	
	public void salvar() {
//		jogo.setTitulo("leandro");
//		jogo.setClassificacaoIndicativa("18");
//		jogo.setDesenvolvedor("SONY");
//		jogo.setGenero("Luta");
//		jogo.setPlataforma("PS3");
		
		cadastroJogoService.salvar(jogo);
		messages.info("Título salvo com sucesso!");
		RequestContext.getCurrentInstance().update(Arrays.asList(
			"frm:jogosDataTable", 
			"frm:messages"
		));
		todosJogos();
	}

	public void excluir() {
		cadastroJogoService.excluir(jogo);
		jogo = null;
		todosJogos();
		messages.info("Título deletado com sucesso!");
	}
	
	public void todosJogos() {
		listaJogos = jogos.todas();
	}
	
	public List<Jogo> getListaJogos() {
		List<Jogo> listaJogos = jogos.todas();
		return listaJogos;
	}
	
	
	
	public boolean isJogoSeleciona() {
		return jogo != null && jogo.getId() != null;
	}
}

curso-jsf-e-primefaces-essencial/src/main/webapp/Escopos.xhtml
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
<meta charset="UTF-8" />
<title>Gestão Empresas</title>
<h:outputStylesheet library="algaworks" name="estilo.css" />
</h:head>
<h:body>
	<header>
		<h:graphicImage library="algaworks" name="logo.png" />
	</header>
	
	<div id="conteudo">
		<h:form>
			<h:panelGrid columns="2">
				
			
				
				<h:outputLabel value="Número: "  />
				<h:outputText value="#{gestaoEmpresasBean.numero}"/>
				
				
				
				<h:outputLabel />
				<h:commandButton value="Salvar" />
			</h:panelGrid>
			
		
		</h:form>
	</div>
	
	<footer>
		Curso online "JSF e PrimeFaces Essencial"
	</footer>
</h:body>
</html>

curso-jsf-e-primefaces-essencial/src/main/webapp/GestaoCliente.xhtml
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
</head>
<body>

</body>
</html>

curso-jsf-e-primefaces-essencial/src/main/webapp/GestaoEmpresas.xhtml
<!DOCTYPE html>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	template="WEB-INF/template/Layout.xhtml">

	<ui:define name="titulo">
	Cadastro de Empresas
</ui:define>

	<ui:define name="conteudo">
		<f:metadata>
			<f:viewAction action="#{gestaoEmpresasBean.todasEmpresas}" />
		</f:metadata>

		<h:form>
			<p:messages autoUpdate="true" />

			<p:toolbar>
				<f:facet name="left">
					<p:inputText id="termoPesquisa"
						placeholder="Digite aqui um termo para pesquisa..." size="30"
						value="#{gestaoEmpresasBean.termoPesquisa}" />

					<p:commandButton value="Pesquisar" icon="fa fa-search"
						actionListener="#{gestaoEmpresasBean.pesquisar}"
						update="empresasDataTable" process="@this termoPesquisa" />

					<span class="ui-separator"> <span
						class="ui-icon ui-icon-grip-dotted-vertical" />
					</span>

					<p:commandButton value="Nova" icon="fa fa-plus"
						actionListener="#{gestaoEmpresasBean.prepararNovaEmpresa}"
						oncomplete="PF('empresaDialogWidgetVar').show()"
						update="empresaDialog" process="@this" />

					<span class="ui-separator"> <span
						class="ui-icon ui-icon-grip-dotted-vertical" />
					</span>

					<p:commandButton title="Editar" icon="fa fa-edit" />

					<p:commandButton title="Excluir" icon="fa fa-trash" />

					<span class="ui-separator"> <span
						class="ui-icon ui-icon-grip-dotted-vertical" />
					</span>

					<p:commandButton title="Exportar para o Excel"
						icon="fa fa-file-excel-o" />
				</f:facet>
			</p:toolbar>

			<p:spacer height="20px" />

			<p:dataTable id="empresasDataTable"
				value="#{gestaoEmpresasBean.listaEmpresas}" var="empresa"
				emptyMessage="Nenhuma informação a ser exibida" paginator="true"
				rows="10" paginatorPosition="bottom">
				<p:column headerText="Razão social" sortBy="#{empresa.razaoSocial}">
					<h:outputText value="#{empresa.razaoSocial}" />
				</p:column>

				<p:column headerText="Nome fantasia">
					<h:outputText value="#{empresa.nomeFantasia}" />
				</p:column>

				<p:column headerText="Tipo empresa">
					<h:outputText value="#{empresa.tipo}" />
				</p:column>

				<p:column headerText="Ramo atividade">
					<h:outputText value="#{empresa.ramoAtividade.descricao}" />
				</p:column>
			</p:dataTable>

			<p:dialog id="empresaDialog" header="Nova empresa"
				widgetVar="empresaDialogWidgetVar" modal="true" resizable="false"
				closeOnEscape="true">
				<h:panelGrid id="empresaPanelGrid" columns="2"
					rendered="#{gestaoEmpresasBean.empresa ne null}">
					<p:outputLabel value="Razão social: " for="razaoSocial" />
					<p:inputText id="razaoSocial" size="80" maxlength="120"
						value="#{gestaoEmpresasBean.empresa.razaoSocial}" />

					<p:outputLabel value="Nome fantasia: " for="nomeFantasia" />
					<p:inputText id="nomeFantasia" size="80" maxlength="120"
						value="#{gestaoEmpresasBean.empresa.nomeFantasia}" />

					<p:outputLabel value="Tipo empresa: " for="tipo" />
					<p:selectOneMenu id="tipo"
						value="#{gestaoEmpresasBean.empresa.tipo}">
						<f:selectItem itemLabel="Selecione..." />
						<f:selectItems value="#{gestaoEmpresasBean.tiposEmpresa}"
							var="tipoEmpresa" itemLabel="#{tipoEmpresa.descricao}"
							itemValue="#{tipoEmpresa}" />
					</p:selectOneMenu>

					<p:outputLabel value="CNPJ: " for="cnpj" />
					<p:inputMask id="cnpj" mask="99.999.999/9999-99" size="18"
						maxlength="18" value="#{gestaoEmpresasBean.empresa.cnpj}" />

					<p:outputLabel value="Data Fundação: " for="dataFundacao" />
					<p:calendar id="dataFundacao" pattern="dd/MM/yyyy" size="30"
						value="#{gestaoEmpresasBean.empresa.dataFundacao}" />

					<p:outputLabel value="Ramo atividade: " for="ramoAtividade" />
					<p:autoComplete id="ramoAtividade" size="80"
						value="#{gestaoEmpresasBean.empresa.ramoAtividade}"
						completeMethod="#{gestaoEmpresasBean.completarRamoAtividade}"
						converter="#{gestaoEmpresasBean.ramoAtividadeConverter}"
						var="ramoAtividade" itemLabel="#{ramoAtividade.descricao}"
						itemValue="#{ramoAtividade}" />

					<h:outputLabel />
					<p:commandButton value="Salvar"
						actionListener="#{gestaoEmpresasBean.salvar}"
						update="empresasDataTable empresaPanelGrid"
						oncomplete="PF('empresaDialogWidgetVar').hide()"
						process="empresaDialog" />
				</h:panelGrid>
			</p:dialog>
		</h:form>
	</ui:define>

</ui:composition>

curso-jsf-e-primefaces-essencial/src/main/webapp/GestaoLocadora.xhtml
<!DOCTYPE html>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	template="WEB-INF/template/Layout.xhtml">

	<ui:define name="titulo">
		Cadastro de Jogos
	</ui:define>

	<ui:define name="conteudo">
		<f:metadata>
			<f:viewAction action="#{gestaoJogosBean.todosJogos}" />
		</f:metadata>
		
		<h:form id="frm">
			
			<p:messages id="messages" autoUpdate="false" />
			
			<p:toolbar id="toolbar">
				<f:facet name="left">
	            	<p:commandButton value="Nova" icon="fa fa-plus"
						
						oncomplete="PF('jogoDialogWidgetVar').show()"
						update="jogoDialog" process="@this">
						<p:resetInput target="jogoDialog" />
					</p:commandButton>
					
					<span class="ui-separator"> <span
						class="ui-icon ui-icon-grip-dotted-vertical" />
					</span>
					
					<p:commandButton title="Editar" icon="fa fa-edit" 
						disabled="#{gestaoJogosBean.jogoSeleciona}"
						actionListener="#{gestaoJogosBean.prepararEdicaoJogo}"
						oncomplete="PF('jogoDialogWidgetVar').show()"
						update="jogoDialog" 
						process="@this">
						<p:resetInput target="jogoDialog" />
					</p:commandButton>
					
					<p:commandButton title="Excluir" icon="fa fa-trash" 
						disabled="#{gestaoJogosBean.jogoSeleciona}"
						actionListener="#{gestaoJogosBean.excluir}"
						update="messages jogosDataTable toolbar" 
						process="@this">
						<p:confirm icon="ui-icon-alert" header="Confirmação de exclusão" message="Tem certeza que deseja excluir o título?" />
					</p:commandButton>
				</f:facet>
			</p:toolbar>
			
			<p:spacer height="20px" />
			
			<p:dataTable id="jogosDataTable"
				value="#{gestaoJogosBean.listaJogos}" 
				var="jogo"
				emptyMessage="Nenhuma informação a ser exibida" 
				paginator="true"
				rows="10" 
				paginatorPosition="bottom"
				selectionMode="single"
				selection="#{gestaoJogosBean.jogo}"
				rowKey="#{jogo.id}">
				
				<p:ajax event="rowSelect" update="frm:toolbar" />
				<p:ajax event="rowUnselect" update="frm:toolbar" />
				
				<p:column headerText="Titulo" sortBy="#{jogo.titulo}">
					<h:outputText value="#{jogo.titulo}" />
				</p:column>
				
				<p:column headerText="Classificação Indicativa">
					<h:outputText value="#{jogo.classificacaoIndicativa}" />
				</p:column>
				
				<p:column headerText="Desenvolvedor">
					<h:outputText value="#{jogo.desenvolvedor}" />
				</p:column>
				
				<p:column headerText="Gênero">
					<h:outputText value="#{jogo.genero}" />
				</p:column>
				
				<p:column headerText="Plataforma">
					<h:outputText value="#{jogo.plataforma}" />
				</p:column>
				
			</p:dataTable>
			
			<p:dialog id="jogoDialog" header="Novo Título" widgetVar="jogoDialogWidgetVar"
				modal="true" resizable="false" closeOnEscape="true">
				<p:messages id="jogoMessages" />
				<h:panelGrid id="jogoPanelGrid" columns="2">
					<p:outputLabel value="Título: " for="titulo" />
					<p:inputText id="titulo" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.titulo}" />
					
					<p:outputLabel value="Classificação Indicativa: " for="classificacaoIndicativa" />
					<p:inputText id="classificacaoIndicativa" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.classificacaoIndicativa}"/>
					
					<p:outputLabel value="Desenvolvedor: " for="desenvolvedor" />
					<p:inputText id="desenvolvedor" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.desenvolvedor}" />
					
					<p:outputLabel value="Gênero: " for="genero" />
					<p:inputText id="genero" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.genero}"/>
					
					<p:outputLabel value="Plataforma: " for="plataforma" />
					<p:inputText id="plataforma" size="80" maxlength="255" 
						value="#{gestaoJogosBean.jogo.plataforma}"/>
					
					<p:outputLabel />
					<p:commandButton value="Salvar" 
						update="jogoMessages jogoPanelGrid"
						oncomplete="if (!args.validationFailed) PF('jogoDialogWidgetVar').hide()"
						process="jogoDialog"
						actionListener="#{gestaoJogosBean.salvar}"/>
				</h:panelGrid>
			</p:dialog>
		</h:form>
	</ui:define>
</ui:composition>